# Generated from opensearch-dsl-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name opensearch-dsl

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: A Ruby DSL builder for OpenSearch
License: Apache-2.0
URL: https://opensearch.org/docs/latest/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(opensearch)
# BuildRequires: rubygem(cane)
# BuildRequires: rubygem(minitest) >= 5
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-reporters) >= 1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(shoulda-context)
# BuildRequires: rubygem(simplecov) >= 0.17
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov) < 0.18
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(test-unit) >= 2
# BuildRequires: rubygem(test-unit) < 3
BuildArch: noarch

%description
A Ruby DSL builder for OpenSearch.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/opensearch-dsl.gemspec
%{gem_instdir}/spec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.0-1
- Initial package
